clang-tools 10.0.0

Public Types | Public Attributes | List of all members
clang::clangd::IncludeGraphNode Struct Reference

`#include <Headers.h>`

Collaboration diagram for clang::clangd::IncludeGraphNode:
[legend]

## Public Types
enum | SourceFlag : uint8_t { SourceFlag::None = 0, SourceFlag::IsTU = 1 << 0, SourceFlag::HadErrors = 1 << 1 }

## Public Attributes
SourceFlag | Flags = SourceFlag::None
llvm::StringRef | URI
FileDigest | Digest {{0}}
std::vector< llvm::StringRef > | DirectIncludes

## Detailed Description

Definition at line 64 of file Headers.h.

## Member Enumeration Documentation

## ◆ SourceFlag

enum clang::clangd::IncludeGraphNode::SourceFlag : uint8_t
| strong

Enumerator
None |
IsTU |
HadErrors |

Definition at line 65 of file Headers.h.

## Member Data Documentation

## ◆ Digest

FileDigest clang::clangd::IncludeGraphNode::Digest {{0}}

Definition at line 75 of file Headers.h.

## ◆ DirectIncludes

std::vector<llvm::StringRef> clang::clangd::IncludeGraphNode::DirectIncludes

Definition at line 76 of file Headers.h.

## ◆ Flags

SourceFlag clang::clangd::IncludeGraphNode::Flags = SourceFlag::None

Definition at line 73 of file Headers.h.

## ◆ URI

llvm::StringRef clang::clangd::IncludeGraphNode::URI

Definition at line 74 of file Headers.h.

The documentation for this struct was generated from the following file:

- Headers.h